Exports
List Exports
List all exported_ results, check the status, and get the download URL.
GET
/
exports
/
/api/v1/exports/
curl --request GET \
--url https://api.avala.ai/api/v1/exports/ \
--header 'X-Avala-Api-Key: <api-key>'import requests
url = "https://api.avala.ai/api/v1/exports/"
headers = {"X-Avala-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Avala-Api-Key': '<api-key>'}};
fetch('https://api.avala.ai/api/v1/exports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"name": "<string>",
"datasets": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slices": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"projects": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filter_query_string": "<string>",
"total_task_count": 1073741823,
"exported_task_count": 1073741823,
"download_url": "<string>",
"organization": {
"name": "<string>",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"description": "<string>",
"logo": "<string>",
"website": "<string>",
"public_slug": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}Authorizations
API_KeyJWT
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
Query Parameters
Which field to use when ordering the results.
The pagination cursor value.
Number of results to return per page.
Sets the CursorPagination offset when cursor is also set. e.g. cursor=...&offset=1
Sets the CursorPagination reverse when cursor is also set. e.g. cursor=...&reverse=1.
Was this page helpful?
⌘I
/api/v1/exports/
